# SphinxClient::setIndexWeights

(PECL sphinx >= 0.1.0)

SphinxClient::setIndexWeights — Set per-index weights

### Description

public SphinxClient::setIndexWeights ( array `$weights` ) : bool

Sets per-index weights and enables weighted summing of match weights across different indexes.

### Parameters

`weights`

  An associative array mapping string index names to integer weights. Default is empty array, i.e. weighting summing is disabled.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.